diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntityCreateForm.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntityCreateForm.tsx
index 1a3a78f47..8ab1885dd 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntityCreateForm.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntityCreateForm.tsx
@@ -1,14 +1,13 @@
 import { useEffect, useState, forwardRef, useImperativeHandle } from 'react';
 import type { ForwardRefRenderFunction } from 'react';
 import { message, Form, Input, Select, Button } from 'antd';
-import { addDomainExtend, editDomainExtend } from '../../service';
-import type { ISemantic, IChatConfig } from '../../data';
+import { updateDomain } from '../../service';
+import type { ISemantic } from '../../data';
 import { formLayout } from '@/components/FormHelper/utils';
-import { formatRichEntityDataListToIds } from './utils';
 import styles from '../style.less';
 
 type Props = {
-  entityData: IChatConfig.IChatRichConfig;
+  entityData?: { id: number; names: string[] };
   dimensionList: ISemantic.IDimensionList;
   domainId: number;
   onSubmit: () => void;
@@ -21,22 +20,20 @@ const EntityCreateForm: ForwardRefRenderFunction<any, Props> = (
   ref,
 ) => {
   const [form] = Form.useForm();
-  const formatEntityData = formatRichEntityDataListToIds(entityData);
   const [dimensionListOptions, setDimensionListOptions] = useState<any>([]);
-
   const getFormValidateFields = async () => {
     return await form.validateFields();
   };
 
   useEffect(() => {
     form.resetFields();
-    if (!entityData?.entity) {
+    if (!entityData) {
       return;
     }
 
     form.setFieldsValue({
-      ...formatEntityData.entity,
-      id: formatEntityData.id,
+      ...entityData,
+      name: entityData.names.join(','),
     });
   }, [entityData]);
 
@@ -56,20 +53,14 @@ const EntityCreateForm: ForwardRefRenderFunction<any, Props> = (
 
   const saveEntity = async () => {
     const values = await form.validateFields();
-    const { id, name } = values;
-    let saveDomainExtendQuery = addDomainExtend;
-    if (id) {
-      saveDomainExtendQuery = editDomainExtend;
-    }
-    const { code, msg, data } = await saveDomainExtendQuery({
-      chatDetailConfig: {
-        ...formatEntityData,
-        entity: {
-          ...values,
-          names: name.split(','),
-        },
+    const { name } = values;
+
+    const { code, msg, data } = await updateDomain({
+      entity: {
+        ...values,
+        names: name.split(','),
       },
-      id,
+      id: domainId,
       domainId,
     });
 
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntitySection.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntitySection.tsx
index ee00cf3f2..075ca2dde 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntitySection.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntitySection.tsx
@@ -5,7 +5,7 @@ import { connect } from 'umi';
 import type { StateType } from '../../model';
 import { getDomainExtendDetailConfig } from '../../service';
 import ProCard from '@ant-design/pro-card';
-import EntityCreateForm from './EntityCreateForm';
+
 import DefaultSettingForm from './DefaultSettingForm';
 import type { IChatConfig } from '../../data';
 import DimensionMetricVisibleForm from './DimensionMetricVisibleForm';
@@ -26,8 +26,6 @@ const EntitySection: React.FC<Props> = ({
 
   const [entityData, setentityData] = useState<IChatConfig.IChatRichConfig>();
 
-  const entityCreateRef = useRef<any>({});
-
   const queryThemeListData: any = async () => {
     const { code, data } = await getDomainExtendDetailConfig({
       domainId: selectDomainId,
@@ -58,25 +56,6 @@ const EntitySection: React.FC<Props> = ({
   return (
     <div style={{ width: 800, margin: '0 auto' }}>
       <Space direction="vertical" style={{ width: '100%' }} size={20}>
-        {chatConfigType === 'detail' && entityData && (
-          <ProCard title="实体" bordered>
-            <EntityCreateForm
-              ref={entityCreateRef}
-              domainId={Number(selectDomainId)}
-              entityData={entityData}
-              dimensionList={dimensionList.filter((item) => {
-                const blackDimensionList = entityData?.visibility?.blackDimIdList;
-                if (Array.isArray(blackDimensionList)) {
-                  return !blackDimensionList.includes(item.id);
-                }
-                return false;
-              })}
-              onSubmit={() => {
-                queryThemeListData();
-              }}
-            />
-          </ProCard>
-        )}
         <ProCard bordered title="问答可见">
           <DimensionMetricVisibleForm
             chatConfigKey={
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntitySettingSection.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntitySettingSection.tsx
new file mode 100644
index 000000000..74f2f2694
--- /dev/null
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/EntitySettingSection.tsx
@@ -0,0 +1,69 @@
+import { message, Space } from 'antd';
+import React, { useState, useEffect, useRef } from 'react';
+import type { Dispatch } from 'umi';
+import { connect } from 'umi';
+import type { StateType } from '../../model';
+import { getDomainDetail } from '../../service';
+import ProCard from '@ant-design/pro-card';
+import EntityCreateForm from './EntityCreateForm';
+import type { IChatConfig } from '../../data';
+
+type Props = {
+  dispatch: Dispatch;
+  domainManger: StateType;
+};
+
+const EntitySettingSection: React.FC<Props> = ({ domainManger }) => {
+  const { selectDomainId, dimensionList, metricList } = domainManger;
+
+  const [entityData, setEntityData] = useState<IChatConfig.IChatRichConfig>();
+
+  const entityCreateRef = useRef<any>({});
+
+  const queryDomainData: any = async () => {
+    const { code, data } = await getDomainDetail({
+      domainId: selectDomainId,
+    });
+
+    if (code === 200) {
+      const { entity } = data;
+
+      setEntityData(entity);
+
+      return;
+    }
+
+    message.error('获取问答设置信息失败');
+  };
+
+  const initPage = async () => {
+    queryDomainData();
+  };
+
+  useEffect(() => {
+    initPage();
+  }, [selectDomainId]);
+
+  return (
+    <div style={{ width: 800, margin: '0 auto' }}>
+      <Space direction="vertical" style={{ width: '100%' }} size={20}>
+        {
+          <ProCard title="实体" bordered>
+            <EntityCreateForm
+              ref={entityCreateRef}
+              domainId={Number(selectDomainId)}
+              entityData={entityData}
+              dimensionList={dimensionList}
+              onSubmit={() => {
+                queryDomainData();
+              }}
+            />
+          </ProCard>
+        }
+      </Space>
+    </div>
+  );
+};
+export default connect(({ domainManger }: { domainManger: StateType }) => ({
+  domainManger,
+}))(EntitySettingSection);
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/RecommendedQuestionsSection.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/RecommendedQuestionsSection.tsx
new file mode 100644
index 000000000..2e122dbf9
--- /dev/null
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/RecommendedQuestionsSection.tsx
@@ -0,0 +1,87 @@
+import { message } from 'antd';
+import React, { useState, useEffect } from 'react';
+import { connect } from 'umi';
+import type { StateType } from '../../model';
+import { getDomainExtendConfig, addDomainExtend, editDomainExtend } from '../../service';
+import ProCard from '@ant-design/pro-card';
+
+import TextAreaCommonEditList from '../../components/CommonEditList/TextArea';
+
+type Props = {
+  domainManger: StateType;
+};
+
+const RecommendedQuestionsSection: React.FC<Props> = ({ domainManger }) => {
+  const { selectDomainId } = domainManger;
+
+  const [questionData, setQuestionData] = useState<string[]>([]);
+  const [currentRecordId, setCurrentRecordId] = useState<number>(0);
+
+  const queryThemeListData: any = async () => {
+    const { code, data } = await getDomainExtendConfig({
+      domainId: selectDomainId,
+    });
+
+    if (code === 200) {
+      const target = data?.[0] || {};
+      if (Array.isArray(target.recommendedQuestions)) {
+        setQuestionData(
+          target.recommendedQuestions.map((item: { question: string }) => {
+            return item.question;
+          }),
+        );
+        setCurrentRecordId(target.id || 0);
+      } else {
+        setQuestionData([]);
+        setCurrentRecordId(0);
+      }
+      return;
+    }
+
+    message.error('获取问答设置信息失败');
+  };
+
+  const saveEntity = async (list: string[]) => {
+    let saveDomainExtendQuery = addDomainExtend;
+    if (currentRecordId) {
+      saveDomainExtendQuery = editDomainExtend;
+    }
+    const { code, msg } = await saveDomainExtendQuery({
+      recommendedQuestions: list.map((question: string) => {
+        return { question };
+      }),
+      id: currentRecordId,
+      domainId: selectDomainId,
+    });
+
+    if (code === 200) {
+      return;
+    }
+    message.error(msg);
+  };
+
+  const initPage = async () => {
+    queryThemeListData();
+  };
+
+  useEffect(() => {
+    initPage();
+  }, [selectDomainId]);
+
+  return (
+    <div style={{ width: 800, margin: '0 auto' }}>
+      <ProCard bordered title="问题推荐列表">
+        <TextAreaCommonEditList
+          value={questionData}
+          onChange={(list) => {
+            saveEntity(list);
+            setQuestionData(list);
+          }}
+        />
+      </ProCard>
+    </div>
+  );
+};
+export default connect(({ domainManger }: { domainManger: StateType }) => ({
+  domainManger,
+}))(RecommendedQuestionsSection);
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/utils.ts b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/utils.ts
index e4d3a7ccf..1c4518fbc 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/utils.ts
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/utils.ts
@@ -18,8 +18,9 @@ export const formatRichEntityDataListToIds = (
   const detailData: {
     dimensionIds: number[];
     metricIds: number[];
-  } = { dimensionIds: [], metricIds: [] };
-  const { dimensions, metrics } = chatDefaultConfig || {};
+    ratioMetricIds: number[];
+  } = { dimensionIds: [], metricIds: [], ratioMetricIds: [] };
+  const { dimensions, metrics, ratioMetrics } = chatDefaultConfig || {};
   if (Array.isArray(dimensions)) {
     detailData.dimensionIds = dimensions.map((item: ISemantic.IDimensionItem) => {
       return item.id;
@@ -30,6 +31,12 @@ export const formatRichEntityDataListToIds = (
       return item.id;
     });
   }
+  if (Array.isArray(ratioMetrics)) {
+    detailData.ratioMetricIds = ratioMetrics.map((item: ISemantic.IMetricItem) => {
+      return item.id;
+    });
+  }
+
   let entitySetting = {};
   if (entity) {
     const entityItem = entity.dimItem;
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/MetricInfoCreateForm.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/MetricInfoCreateForm.tsx
index 63a9f857c..434341d97 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/MetricInfoCreateForm.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/MetricInfoCreateForm.tsx
@@ -199,15 +199,15 @@ const MetricInfoCreateForm: React.FC<CreateFormProps> = ({
         </FormItem>
         <FormItem
           name="name"
-          label="指标中文名"
-          rules={[{ required: true, message: '请输入指标中文名' }]}
+          label="指标名称"
+          rules={[{ required: true, message: '请输入指标名称' }]}
         >
           <Input placeholder="名称不可重复" />
         </FormItem>
         <FormItem
           name="bizName"
-          label="指标英文名"
-          rules={[{ required: true, message: '请输入指标英文名' }]}
+          label="字段名称"
+          rules={[{ required: true, message: '请输入字段名称' }]}
         >
           <Input placeholder="名称不可重复" disabled={isEdit} />
         </FormItem>
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/TransTypeTag.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/TransTypeTag.tsx
index 8a1d056d9..ca3e41995 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/TransTypeTag.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/TransTypeTag.tsx
@@ -1,19 +1,21 @@
 import { Tag } from 'antd';
 import React from 'react';
 
-import { TransType } from '../enum';
+import { SemanticNodeType } from '../enum';
 
 type Props = {
-  type: TransType;
+  type: SemanticNodeType;
 };
 
 const TransTypeTag: React.FC<Props> = ({ type }) => {
   return (
     <>
-      {type === TransType.DIMENSION ? (
+      {type === SemanticNodeType.DIMENSION ? (
         <Tag color="blue">{'维度'}</Tag>
-      ) : type === 'metric' ? (
+      ) : type === SemanticNodeType.METRIC ? (
         <Tag color="orange">{'指标'}</Tag>
+      ) : type === SemanticNodeType.DATASOURCE ? (
+        <Tag color="green">{'数据源'}</Tag>
       ) : (
         <></>
       )}
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/data.d.ts b/webapp/packages/supersonic-fe/src/pages/SemanticModel/data.d.ts
index 422931726..757edf084 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/data.d.ts
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/data.d.ts
@@ -8,7 +8,9 @@ export type UserName = string;
 
 export type SensitiveLevel = 0 | 1 | 2 | null;
 
-export type RefreshGraphData = (graphRootData: TreeGraphData) => void;
+// export type RefreshGraphData = (graphRootData: TreeGraphData) => void;
+
+export type ToolBarSearchCallBack = (text: string) => void;
 
 export declare namespace IDataSource {
   interface IIdentifiersItem {
@@ -113,8 +115,14 @@ export declare namespace ISemantic {
     semanticType: string;
     alias: string;
     useCnt: number;
+    dimValueMaps: IDimensionValueSettingItem[];
   }
 
+  interface IDimensionValueSettingItem {
+    techName: string;
+    bizName: string;
+    alias?: string[];
+  }
   interface IMeasure {
     name: string;
     agg?: string;
@@ -156,6 +164,14 @@ export declare namespace ISemantic {
 
   type IDimensionList = IDimensionItem[];
   type IMetricList = IMetricItem[];
+
+  interface IDomainSchemaRelaItem {
+    domainId: number;
+    dimensions: IDimensionList;
+    metrics: IMetricList;
+    datasource: IDataSourceItem;
+  }
+  type IDomainSchemaRelaList = IDomainSchemaRelaItem[];
 }
 
 export declare namespace IChatConfig {
@@ -218,6 +234,7 @@ export declare namespace IChatConfig {
     chatDefaultConfig: {
       dimensions: ISemantic.IDimensionList;
       metrics: ISemantic.IMetricList;
+      ratioMetrics: ISemantic.IMetricList;
       unit: number;
       period: string;
     };
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/enum.ts b/webapp/packages/supersonic-fe/src/pages/SemanticModel/enum.ts
index 9f624714c..01e71630e 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/enum.ts
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/enum.ts
@@ -13,3 +13,8 @@ export enum SemanticNodeType {
   DIMENSION = 'dimension',
   METRIC = 'metric',
 }
+
+export enum MetricTypeWording {
+  ATOMIC = '原子指标',
+  DERIVED = '衍生指标',
+}
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/service.ts b/webapp/packages/supersonic-fe/src/pages/SemanticModel/service.ts
index b8cbd599e..661cac9ee 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/service.ts
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/service.ts
@@ -111,7 +111,7 @@ export function deleteDomain(id: any): Promise<any> {
   });
 }
 
-export function getGroupAuthInfo(id: string): Promise<any> {
+export function getGroupAuthInfo(id: number): Promise<any> {
   return request(`${process.env.AUTH_API_BASE_URL}queryGroup`, {
     method: 'GET',
     params: {
